// creator  : weidu.exe (version 23600)
// argument : DOPMER.DLG
// game     : .
// source   : ./override/DOPMER.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DOPMER~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #16585 /* ~So you have come to visit the Seven Suns, have you...? Yes, I've got your face now but not your name...~ */
  IF ~~ THEN REPLY #16586 /* ~I am Foolio Displasius, destroyer of the Seven Suns! Raaagh!~ */ DO ~SetGlobal("CheckedSevenSuns","GLOBAL",2)
~ GOTO 1
  IF ~~ THEN REPLY #16587 /* ~We are the party of <CHARNAME>, though I don't know why it may interest you.~ */ DO ~SetGlobal("CheckedSevenSuns","GLOBAL",2)
~ GOTO 2
  IF ~~ THEN REPLY #16588 /* ~My name is my business. I'm not here to exchange pleasantries.~ */ DO ~SetGlobal("CheckedSevenSuns","GLOBAL",2)
~ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #16589 /* ~Have your jest, then. It will take more Foolios than you to destroy the Seven Suns.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #16591 /* ~Yes, indeed, how... interesting. And what of these people about you? Do they know you well?
~ */
  IF ~~ THEN REPLY #16592 /* ~We are all fellow adventurers, our hearts brought into close contact by the narrowness of the road.~ */ GOTO 4
  IF ~~ THEN REPLY #16593 /* ~To tell you true, we are but strangers traveling together this brief while out of mere convenience.~ */ GOTO 5
  IF ~~ THEN REPLY #16594 /* ~I am not here to bare my soul before a merchant.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 5.0 2.2 0.2
  SAY #16595 /* ~If you wish silence, then we ask the same of you. Bother us not.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 5.1 2.0
  SAY #16596 /* ~A pity, that.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.1
  SAY #16597 /* ~Ah, I have dreamed of loners such as yourself and each time woken with a groaning belly.~ */
  IF ~~ THEN REPLY #16598 /* ~I have no wish to hear you whine about your sicknesses and ailments. This discussion grows tiresome.~ */ GOTO 3
  IF ~~ THEN REPLY #16599 /* ~I had no idea you found me that attractive. Alas, there are ones in this world who love me dearly and would miss me sorely should I leave with you.~ */ GOTO 4
  IF ~~ THEN REPLY #16600 /* ~Pray tell me what about my lowly person could make a merchant and his many purses dream?~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.2
  SAY #16601 /* ~Come, my brothers. It seems that a feast has been set before us. Let us eat before it cools.~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
  IF ~Global("X#MinscSeven1","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscSeven1","GLOBAL",1)~ EXTERN ~MINSCJ~ 66
END

IF ~  NumberOfTimesTalkedTo(1)
~ THEN BEGIN 7 // from:
  SAY #16602 /* ~Still you pester us! Do you have no shame?! Explain yourself!~ */
  IF ~~ THEN REPLY #16605 /* ~If you be merchants as you say you are, would you not then be eager to sell your wares?~ */ GOTO 8
  IF ~~ THEN REPLY #16603 /* ~To be called shameless by a merchant! Tell me, how does that differ from the sarcasm of a bard who compliments her drunken patron on the quality of his voice?~ */ GOTO 9
  IF ~~ THEN REPLY #16606 /* ~I did not object to the sound of your voice, merely the words you sought to form with it. Come, now, and provide me with information more to my liking.~ */ GOTO 9
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #16607 /* ~We sell to those who have the money to buy, not adventuring paupers such as yourself. Move on, and we'll forgive your impertinence.~ */
  IF ~~ THEN EXIT
  IF ~Global("X#VicDop","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicDop","GLOBAL",1)~ EXTERN ~VICONJ~ 103
END

IF ~~ THEN BEGIN 9 // from: 7.2 7.1
  SAY #16608 /* ~Your wit shall be your coffin and every jest a nail. Come, my brothers. If they have not found us out by now, it will not take them long. We should not suffer fools so gladly when this much is at stake.~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
  IF ~Global("X#MinscSeven2","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscSeven2","GLOBAL",1)~ EXTERN ~MINSCJ~ 67
END

IF ~  NumberOfTimesTalkedTo(2)
~ THEN BEGIN 10 // from:
  SAY #16609 /* ~Do you seek the truth so earnestly that you would lose everything?~ */
  IF ~~ THEN REPLY #16610 /* ~I will risk everything but I shall not lose it. You are no merchants and I am no fool. Now show your true faces that I may know them!~ */ GOTO 11
  IF ~~ THEN REPLY #16611 /* ~What are you talking about? I just wanted to know how to get out of this place.~ */ GOTO 12
  IF ~~ THEN REPLY #16612 /* ~The truth is of little consequence to me. Like you, I prefer my fictions.~ */ GOTO 13
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #16613 /* ~Nay, you are wrong on both counts. You are fools even to be here, for we are indeed merchants, though not of wares you would be familiar with: We are merchants of faces and names, merchants of identities, merchants of skin even when the flesh it contains is so much rubbish. We are doppelgangers and, for a skin pittance, we sell fools their deaths.~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
  IF ~Global("X#MinscSeven3","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscSeven3","GLOBAL",1)~ EXTERN ~MINSCJ~ 68
END

IF ~~ THEN BEGIN 12 // from: 10.1
  SAY #16614 /* ~I fear, my brothers, that I have spoken too soon. But come, we are hungry. Let us feast on these witnesses to the folly of my tongue.~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
  IF ~Global("X#MinscSeven4","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscSeven4","GLOBAL",1)~ EXTERN ~MINSCJ~ 69
END

IF ~~ THEN BEGIN 13 // from: 10.2
  SAY #16615 /* ~My friend, you are speaking to a race of beings to whom fiction is no mere diversion but rather the wellspring of our very life. You see this flesh? It is not mine. You see this face? I did not even know of its existence but two months past. We are doppelgangers, friend, and we live by fools like you. Now do not resist... it won't take long.~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
  IF ~Global("X#MinscSeven5","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscSeven5","GLOBAL",1)~ EXTERN ~MINSCJ~ 70
END

IF ~~ THEN BEGIN 14 // from:
  SAY #46584 /* ~Eating hamssstersss? Why? You have more flessssh on...~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 15 // from:
  SAY #46584 /* ~Eating hamssstersss? Why? You have more flessssh on...~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #46584 /* ~Eating hamssstersss? Why? You have more flessssh on...~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 17 // from:
  SAY #46584 /* ~Eating hamssstersss? Why? You have more flessssh on...~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 18 // from:
  SAY #46584 /* ~Eating hamssstersss? Why? You have more flessssh on...~ */
  IF ~~ THEN DO ~SetGlobal("Doppleganger","GLOBAL",1)
SetGlobal("Laola","GLOBAL",1)
~ EXIT
END
